itpp::Poisson_Packet_Generator Class Reference
Protocols Module

`#include <itpp/protocol/packet_generator.h>`

Inheritance diagram for itpp::Poisson_Packet_Generator:

## Public Member Functions

| Poisson_Packet_Generator (const double Avg_bit_rate=1.0, const int Packet_size=150, const unsigned long int Max_packets=0)
| ADD DOCUMENTATION HERE.
virtual | ~Poisson_Packet_Generator ()
| ADD DOCUMENTATION HERE.
void | set_parameters (const double Avg_bit_rate, const int Packet_size, const unsigned long int Max_packets)
| ADD DOCUMENTATION HERE.
double | get_avg_bit_rate ()
| ADD DOCUMENTATION HERE.
void | set_parameters (const int Packet_size, const unsigned long int Max_packets)
| ADD DOCUMENTATION HERE.
int | get_packet_size ()
| ADD DOCUMENTATION HERE.
int | get_max_packets ()
| ADD DOCUMENTATION HERE.

## Public Attributes

Signal< Packet * > | output
| ADD DOCUMENTATION HERE.
Slot< Packet_Generator, bool > | start
| ADD DOCUMENTATION HERE.

## Protected Member Functions

virtual Ttype | delta_t ()
| ADD DOCUMENTATION HERE.

## Protected Attributes

double | avg_delta_t
| ADD DOCUMENTATION HERE.
double | avg_bit_rate
| ADD DOCUMENTATION HERE.
Exponential_RNG | ee
| ADD DOCUMENTATION HERE.

## Detailed Description

ADD DOCUMENTATION HERE

Definition at line 88 of file packet_generator.h.

The documentation for this class was generated from the following files:

- itpp/protocol/packet_generator.h
- itpp/protocol/packet_generator.cpp

Generated on Thu Mar 20 2014 12:26:47 for IT++ by Doxygen 1.8.6